Show / Hide Table of Contents

# Class OpenIddictServerEvents.ProcessAuthenticationContext

Represents an event called when processing an authentication operation.

##### Inheritance

System.Object
OpenIddict.Server.OpenIddictServerEvents.BaseContext
OpenIddict.Server.OpenIddictServerEvents.BaseRequestContext
OpenIddict.Server.OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.ProcessAuthenticationContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ProcessAuthenticationContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### ProcessAuthenticationContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ProcessAuthenticationContext class.

##### Declaration

    public ProcessAuthenticationContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Principal

Gets or sets the security principal.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Token

Gets or sets the token to validate.

##### Declaration

    public string Token { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenType

Gets or sets the expected type of the token.

##### Declaration

    public string TokenType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |